import '@material/web/icon/icon.js';
import '@material/web/chips/assist-chip.js';
import { LitElement } from 'lit';
export declare class BoardVersions extends LitElement {
    static styles: import("lit").CSSResult[];
    boardId?: string;
    versions: any[];
    render(): import("lit-html").TemplateResult<1>;
    firstUpdated(): void;
    refresh(): Promise<void>;
    revertBoardVersion(version: number): void;
    close(): void;
}
